<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by TEMPLATED
http://templated.co
Released for free under the Creative Commons Attribution License

Name       : PlainDisplay 
Description: A two-column, fixed-width design with dark color scheme.
Version    : 1.0
Released   : 20140309

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>
    <link href="http://fonts.googleapis.com/css?family=Varela" rel="stylesheet"/>
    <link href="http://fonts.googleapis.com/css?family=Inconsolata" rel="stylesheet" type="text/css" />
    <link href="default.css" rel="stylesheet" type="text/css" media="all"/>
    <link href="fonts.css" rel="stylesheet" type="text/css" media="all"/>

    <!--[if IE 6]>
    <link href="default_ie6.css" rel="stylesheet" type="text/css"/><![endif]-->

</head>
<body>
<div id="wrapper">
    <div id="header-wrapper">
        <div id="header" class="container">
            <div id="logo">
                <h1><a style="text-transform: none; font-family:'Inconsolata',serif;font-size: 33pt;"
                       href="https://github.com/nmondal/ZoomBA/wiki">Zoo<i class="fa fa-bolt icon-mirrored" aria-hidden="true"></i><i class="fa fa-bolt" aria-hidden="true"></i>BA</a>
                </h1>
            </div>
            <div id="menu">
                <ul>
                    <li class="current_page_item"><a href="#" accesskey="1" title="">Home</a></li>
                    <li><a href="learn.html" accesskey="2" title="">Learn</a></li>
                    <li><a href="experiment.html" accesskey="3" title="">Experiment</a></li>
                    <!-- <li><a href="delta.html" accesskey="4" title="">Delta</a></li> -->
                </ul>
            </div>
        </div>
    </div>
    <div id="banner">
        <div class="container">
            <div class="title">
                <h2>Zooming Fast Business Automation</h2>
                <span class="byline">Minimal. Effective. Optimal. Open Sourced. Free.</span></div>
                Developed by passionate, outcome oriented Engineers, just like You.
            <ul class="actions">
                <li><a href="https://gitlab.com/non.est.sacra/zoomba" class="button">See in GitLab</a></li>
            </ul>
        </div>
    </div>
    <div id="extra" class="container">
        <div class="title">
            <h2>Start Using ZoomBA</h2>
            <span class="byline">Indulge in practical declarative paradigm for business and test automation</span>
        </div>
        <div id="three-column">
            <div class="boxA">
                <div class="box"><span class="fa fa-cloud-download"></span>
                    <p>ZoomBA is 0.5Mb download, has almost no dependencies. You can not imagine a practical Language so tiny.
                    Well, experience it. It is Free, and Open Source.</p>
                </div>
            </div>
            <div class="boxB">
                <div class="box"><span class="fa fa-cogs"></span>
                    <p> Under the hood, ZoomBA is pure Java&copy;. Thus, anything JVM can do, ZoomBA can.
                    It has a pluggable architecture that lets it seat within existing Java code.
                    </p>
                </div>
            </div>
            <div class="boxC">
                <div class="box"><span class="fa fa-user"></span>
                    <p>We put users first. ZoomBA was designed Business Users and Software Testers in Mind.
                    It is so minimal that it requires 10 minutes to understand it's syntax.</p>
                </div>
            </div>
        </div>
        <ul class="actions">
            <li><a href="http://arxiv.org/pdf/1604.05903v1.pdf" class="button">Read the Conference Paper</a></li>
        </ul>
    </div>
    <div id="featured">
        <div class="container">
            <div class="title">
                <h2>Redefined Automated Software Testing</h2>
                <span class="byline">Experience pure bliss in Software Validation</span>
            </div>
            <p>
                We know test validations are clumsy. Increasing nesting with conditionals, never ending loops,
                it is the worst possible code one human can ever write. That was until yesterday.
                ZoomBA redefines how validation are written. We promise you would enjoy writing validation in ZoomBA.
                They are declarative, i.e. like SQL. Everyone loves SQL. We know you folks hate null pointers.
                We ensure there are very few of them you would ever encounter. We know you love to put data outside
                test code. We made JSON and XML reading out of the box. We know you do REST calls.
                We made REST call out of the box. You call DataBases. We made DB out of the box.
                We understand every bit of pain you face as a software tester,
                because our lead language developer is a software tester. Welcome to the gang, compadre.
            </p>
        </div>
        <ul class="actions">
            <li><a href="learn.html" class="button">Experience Validations</a></li>
        </ul>
    </div>
    <div id="page" class="container">
        <div class="title">
            <h2>Zen Coding for Business</h2>
            <span class="byline">Conceiving business logic, redefined</span></div>
            <p>
                So, you have Java and do Business Programming for Enterprise.
                Thousands of business classes with codes written for business logic. One change, and more and more
                code needs to be written or re-written. Behavioral modelling are default in ZoomBA with eventing.
                Transforming objects, dependency injections, ORM are default in ZoomBA.
                 You can plug-in ZoomBA script where you believe
                code can frequently change. We made the architecture that way.
                That is because we understand Java, and Enterprise. After all, our 2nd in command
                for language development is a certified Scala trainer and business developer.
                Let us worry about your problems.
            </p>
        <ul class="actions">
            <li><a href="learn.html" class="button">Experience Business Modelling</a></li>
        </ul>
    </div>
</div>
<div id="copyright" class="container">
    <p>&copy; ZoomBA.org. All rights reserved. | Photos by <a href="#"></a> | Design by <a
            href="http://templated.co"
            rel="nofollow"></a>TEMPLATED</p>
</div>
</body>
</html>
